aboutsummaryrefslogtreecommitdiff
path: root/test/test-lib.sh
diff options
context:
space:
mode:
authorAustin Clements <amdragon@mit.edu>2011-05-12 09:09:06 -0400
committerDavid Bremner <bremner@debian.org>2011-09-12 23:35:59 -0300
commit5ae1b9c328518a3b09be827ee59498b0598119ff (patch)
tree8c5676f6ea6d331030e0f9de0b823aea593890a2 /test/test-lib.sh
parent22af786838793ed97fa3dbb1d223e90602912b71 (diff)
test: Fix message when skipping test_expect_equal* tests
For these types of tests, the test name is previously recorded in a variable, not passed to the test function, so pass this variable to test_skip.
Diffstat (limited to 'test/test-lib.sh')
-rwxr-xr-xtest/test-lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 966b2dc..b1b0db8 100755
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -449,7 +449,7 @@ test_expect_equal ()
output="$1"
expected="$2"
- if ! test_skip "$@"
+ if ! test_skip "$test_subtest_name"
then
if [ "$output" = "$expected" ]; then
test_ok_ "$test_subtest_name"
@@ -472,7 +472,7 @@ test_expect_equal_file ()
output="$1"
expected="$2"
- if ! test_skip "$@"
+ if ! test_skip "$test_subtest_name"
then
if diff -q "$expected" "$output" >/dev/null ; then
test_ok_ "$test_subtest_name"